/*============================================================================================*/
/* Your custom styles below */
/*============================================================================================*/

html {
    font-size: 110.5%; /* Bu, font-size'ı %12.5 artıracaktır */
}

.non-clickable {
    pointer-events: none;
}

.pac-container {
    z-index: 9999 !important;
}

.btn_1.btn_disabled.full-width, .btn_1.btn_disabled.full-width:hover {
    background-image: none !important;
    background-color: grey !important;
    cursor: default !important;
    color: #fff !important;
}


.address-item>* {
    color: #444;
}

.address-item {
    margin-bottom: 15px;
}

.address-item-inner {
    display: flex;
    align-items: flex-start;
    grid-gap: 15px;
    padding: 15px;
    border-radius: 15px;
    border: 2px solid #ebebeb;
    cursor: pointer;
    justify-content: space-between;
}

.address-notes p {
    margin-bottom: 5px;
}

.address-left {
    display: flex;
    grid-gap: 10px;
}

.address-right .address-actions {
    display: flex;
    flex-direction: row;
    grid-gap: 10px;
}

.address-type p {
    margin-bottom: 0;
    font-size: 14px;
    line-height: 1.571428571;
    font-weight: 600;
}

.address-icon i {
    font-size: 14px;
    line-height: 16px;
    width: 16px;
    height: 16px;
}

.address-text p {
    margin-bottom: 5px;
    font-weight: 400;
}

.delivery-status {
    display: flex;
    align-items: center;
    grid-gap: 10px;
}

.delivery-status span {
    font-size: 16px;
}

button.address-edit,
button.address-remove {
    background: transparent;
    border: none;
    font-size: 16px;
    padding: 0;
    width: 32px;
    height: 32px;
    border-radius: 50%;
    color: #444;
}

button.address-edit:hover,
button.address-remove:hover {
    background: #ff93005e;
    color: #454545;
    transition: all 0.5s;
}

.address-item-inner.selected {
    /* Seçili olduğunda uygulanacak stil tanımlamaları buraya gelecek */
    border: 2px solid orange;
}

.radio-wrapper {
    display: flex;
    gap: calc(8px + 8 * (100vw - 320px) / 1600);
    flex-wrap: wrap;
    justify-content: flex-start;
    padding-left: 0;
}

@media (max-width: 1200px) {
    .radio-wrapper {
        justify-content: unset;
    }
}

.radio-wrapper li {
    position: relative;
    width: 100%;
    padding: 12px;
    border: none;
    text-align: center;
    display: flex;
    align-items: center;
    justify-content: center;
    max-width: 130px;
}

@media (max-width: 1335px) {
    .radio-wrapper li {
        max-width: 113px;
    }
}

@media (max-width: 1232px) {
    .radio-wrapper li {
        padding: 10px;
        max-width: 105px;
    }
}

.radio-wrapper li .form-check-input {
    position: absolute;
    width: 100%;
    height: 100%;
    float: none;
    margin: 0;
    top: 0;
    left: 0;
    opacity: 1;
    border-radius: 0;
    background-color: transparent;
    border: 1px solid #cccccc;
    cursor: pointer;

}

.radio-wrapper li .form-check-input:focus {
    box-shadow: none;
}

.radio-wrapper li .form-check-input[type=radio] {
    opacity: 1;
}

.radio-wrapper li .form-check-input:checked {
    border: 2px solid #FF9300;
    background-color: transparent;
}

.radio-wrapper li .form-check-input:checked[type=radio] {
    background-image: none;
    box-shadow: unset;
}

.radio-wrapper li .form-check-label {
    position: unset;
    padding: 0;
    margin-bottom: 0;
}

.radio-wrapper li .form-check-label:after {
    content: none;
}

.radio-wrapper li .form-check-label::before {
    content: none;
}

.radio-wrapper li .form-check-label i {
    font-size: 18px;
    padding-right: 8px;
}

#newAddress .modal-header {
    background: #454545;
}

#newAddress .modal-header h1,
#newAddress .modal-header button {
    color: #FFF;
}

.choosed-address-header {
    display: flex;
    align-items: center;
    justify-content: space-between;
    margin-bottom: 15px;
}

.choosed-address-header label {
    margin: 0;
}

/* Google Selectbox CSS */

.no-restaurants {
    text-align: center;
    padding: 50px 15px;
}

.no-restaurants-content img {
    max-width: 300px;
    margin-bottom: 20px;
}

.no-restaurants-content h2 {
    margin-bottom: 15px;
}

.no-restaurants-content p {
    margin-bottom: 25px;
    color: #666;
    font-size: 16px;
}

.no-restaurants-content a {
    display: inline-block;
    margin-top: 20px;
}


/* Autocomplete container */
.pac-container {
    font-family: "Arial", sans-serif;
    border-radius: 8px;
    box-shadow: 0 4px 6px rgba(0,0,0,0.1);
}

/* Autocomplete önerileri */
.pac-item {
    padding: 11px;
    border-bottom: 1px solid #eee;
}

.pac-item:hover {
    background-color: #f8f8f8;
}

/* Autocomplete öneri metni */
.pac-item-query {
    font-weight: bold;
}

/* Autocomplete öneri adres ek bilgileri */
.pac-item .pac-item-secondary-text {
    font-size: 1.1em;
    color: #666;
}

/* Google logosunu gizleme (Dikkat: Bu, Google'ın kullanım koşullarına aykırı olabilir) */
.pac-logo:after {
    display: none;
}

/*  */
.account-img {
    width: 60px;
    height: 60px;
    object-fit: contain;
    margin-bottom: 20px;
}

.product-counter {
    display: inline-flex;
    align-items: center;
    border: 1px solid #dcdcdc;
    border-radius: 50rem;
    padding: 2px;
    overflow: hidden;
}

.product-counter span.btn-minus,
.product-counter span.btn-plus {
    width: 24px;
    height: 24px;
    border-radius: 50%;
    cursor: pointer;
    display: flex;
    align-items: center;
    justify-content: center;
    transition: all 0.3s;
}

.product-counter span.btn-minus img,
.product-counter span.btn-plus img {
    width: 16px;
    height: auto;
}


.product-counter input {
    width: 32px;
    border: none;
    text-align: center;
    font-weight: 600;
    line-height: 24px;
}

.product-counter span.btn-minus:hover,
.product-counter span.btn-plus:hover {
    background: linear-gradient(to right, #FF9300, #FF9300);
}

.profile-card {
    box-shadow: rgba(100, 100, 111, 0.2) 0px 7px 29px 0px;
}

img.eye-icon {
    width: 18px;
    height: 18px;
    object-fit: contain;
}

.profile-card .card-header,
.profile-card .card-footer {
    background: #FFF;
}

.toggle-password {
    background-color: #FFF;
}

.campaign_title h3 {
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    line-height: 1.2rem !important;
}

.user-address-add {
    display: flex;
    align-items: center;
    grid-gap: 10px;
    justify-content: flex-end;
    margin-bottom: 10px;
}

.not-editable {
    display: none;
}

.choose-price,
.input-price {
    border: 1px solid transparent;
    padding: 10px;
    cursor: pointer;
    display: flex;
    align-items: center;
    justify-content: center;
    transition: border 0.3s ease;
    box-shadow: rgba(0, 0, 0, 0.35) 0px 5px 15px;
    height: 55px;
}

.choose-price.selected {
    border: 1px solid #000;
    /* Burada seçilen kutu için istediğiniz renk kodunu kullanabilirsiniz. */
}

.price-option {
    display: none;
}


.input-price input {
    width: -webkit-fill-available;
    border: none;
    color: #000;
}

.transaction-item {
    grid-gap: 25px;
    display: flex;
}

.transaction-box {
    width: 40px;
    height: 40px;
    display: flex;
    align-items: center;
    justify-content: center;
    box-shadow: rgba(0, 0, 0, 0.24) 0px 3px 8px;
    border-radius: 10px;
}

.transaction-info {
    display: flex;
    align-items: center;
    justify-content: space-between;
    flex: 1;
}

.transaction-text {
    display: flex;
    align-items: flex-start;
    justify-content: flex-start;
    flex-direction: column;
}


.card.transaction-card {
    border-radius: 15px;
    margin-bottom: 15px;
}

.card.transaction-card.green {
    background: #3db1206b;
}

.card.transaction-card.danger {
    background: #b13b206b;
}

.box_order .main ul li a.minus-btn,
.box_order .main ul li a.added-btn {
    /*border-radius: 50%;*/
    /*border: 2px solid;*/
    width: 16px;
    padding: 0 !important;
    margin: 0 !important;
    display: inline-flex;
    height: 16px;
    font-size: 10px;
    justify-content: center;
    align-items: flex-end;
}

.minus-products ul .heading,
.added-products ul .heading {
    font-weight: 900;
}

ul.subProducts {
    margin-top: 10px;
    background: #ff93001a;
    padding: 10px !important;
    border-radius: 0 15px 15px 15px;
}

li.minus-prod,
li.added-prod {
    padding-left: 15px;
}

span.minus-prod {
    color: #FF0000 !important;
}

span.added-prod {
    color: #66cc66 !important;
}

/*.minus-products ul li.minus-prod>.minus-btn {*/
/*    color: red;*/
/*}*/

/*.added-products ul li.added-prod>.minus-btn {*/
/*    color: #66cc66 !important;*/
/*}*/